Get subscriber by ID without mailing list ID
GET /subscribers/{SubscriberID}.{Format}
Retrieves the details about a subscriber by ID. The response returns detailed information such as ID, name, date created, date unsubscribed, status, and custom fields.
Request
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| SubscriberID | path | string | true | The ID of the subscriber. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |
Response
| Status | Description | Headers | Schema |
|---|---|---|---|
| 200 OK | The request is successful. | Content-Type/jsonAccept/json | N/A |
-
Code- the response code. This is0if successful. -
Error- the response error message. This isnullif successful. -
Context- an object that contains all the following information for the subscriber:-
ID- the ID of the subscriber. -
Name- the name of the subscriber. -
Email- the email address of the subscriber. -
CreatedOn- the date-time the subscriber was added to the email list. -
UnsubscribedOn- the date-time the subscriber was unsubscribed from the email list. This isnullif not unsubscribed from the list. -
UnsubscribedFromID- the ID that the subscriber is unsubscribed from. -
SubscribeType- the status of the subscriber. For subscribed, this is1, for unsubscribed, this is2, for bounced, this is3, and for removed, this is4. -
SubscribeMethod- the method used to subscribe the member to the email list. For subscription forms, this is0, for file imports, this is1, for manually added, this is2. -
CustomFields- a list containing the custom fields of the new subscriber. Each custom field contains the following:-
CustomFieldID- the ID of the custom field. -
Name- the name of the custom field. -
Value- the value of the custom field.
-
-
RemovedOn- the date-time the subscriber was removed from the email list. -
Tags- a list containing the tags of the new subscriber. -
Preferences- a list containing the preference values of the new subscriber.
-